# Patients

Register, search, and manage patient records. Supports PDS (Personal Demographics Service) lookups to trace patients against the NHS Spine.

 - [POST /v1/patients/{id}/ehr/connect](https://developer.herohealth.net/apis/public-api/openapi/patients/connectpatientehr.md): Sync a Hero patient with an EHR patient
 - [POST /v1/patients/{id}/merge/preview](https://developer.herohealth.net/apis/public-api/openapi/patients/previewpatientmerge.md): Return a preview of a merge between two patients hand provide a merge token
 - [POST /v1/patients/{id}/merge](https://developer.herohealth.net/apis/public-api/openapi/patients/mergepatient.md): Merge one patient with another
 - [GET /v1/patients/{id}](https://developer.herohealth.net/apis/public-api/openapi/patients/getpatientbyid.md): Retrieve patient information.
 - [GET /v1/patients](https://developer.herohealth.net/apis/public-api/openapi/patients/listpatients.md): Retrieve a list of patients for the practice group. Filter by EMIS ID, NHS number, or date of birth using the `field` and `search` query parameters.
 - [POST /v1/patients/register_pds](https://developer.herohealth.net/apis/public-api/openapi/patients/registerpatientpds.md): Register a patient by tracing them against the NHS Spine via PDS (Personal Demographics Service). Provide an NHS number and date of birth, or alternatively a combination of forename, surname, DOB, and
 - [POST /v1/patients/register](https://developer.herohealth.net/apis/public-api/openapi/patients/registerpatient.md): Create or update a patient based on the data sent. If a patient with matching NHS number and DOB exists for the practice group, it will be updated. Otherwise, a new patient record is created. Unlike R
 - [GET /v1/patients/{id}/billing_info](https://developer.herohealth.net/apis/public-api/openapi/patients/patientbillinginfo.md): Retrieves billing information for the patient.
 - [GET /v1/patients/{id}/payment_methods](https://developer.herohealth.net/apis/public-api/openapi/patients/listpatientpaymentmethods.md): Retrieves payment methods for default stripe customer of patient.
 - [GET /v2/patients/{id}](https://developer.herohealth.net/apis/public-api/openapi/patients/getpatientbyidv2.md): Retrieve patient information.
 - [GET /v2/patients](https://developer.herohealth.net/apis/public-api/openapi/patients/listpatientsv2.md): Retrieves a list of all patients, from either the EHR or HERO. The `verified_email` and `verified_phone` fields search against verified portal credentials (Hero DB only).
 - [GET /v3/patients](https://developer.herohealth.net/apis/public-api/openapi/patients/listpatientsv3.md): Retrieve a list of patients for the practice group using explicit patient filters. This endpoint is intended for structured patient search flows where partners can provide named filters such as `first
